---
gitlab: mseferian-jenkins
name: Michaela Seferian-Jenkins
job_title: Technical Program Manager
departments:
- Product Leadership
division: Product
reports_to: natalie.pinto
public: true
picture: michaelaseferianjenkins.png
role: "<a href='https://handbook.gitlab.com/job-families/product/program-manager/'>Technical
  Program Manager</a>"
twitter:
linkedin: michaelasj
story: My experience is in B2B and SaaS businessses in tech. In my role, I have assisted
  business leaders and executives across multiple organizations by improving efficiency
  of product release, collaborating on user experience initiatives, leading private
  beta programs, and capturing product feedback through many different mediums. One
  of the areas I love most is working with diverse teams. I am an expert at connecting
  teams and finding compromise that aligns to business goals and objectives.
expertise: Process Improvement, Change Management, Cross-Functional Team Leadership
pronouns: she / her
pronunciation:
specialty:
- Technical Program Management

